commit:     1bbcf665d14f2422a313319d123bb2f9342b9739
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 06:46:04 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 06:46:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bbcf665

dev-python/textX: Bump to 3.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/textX/Manifest           |  1 +
 dev-python/textX/textX-3.1.1.ebuild | 58 +++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/textX/Manifest b/dev-python/textX/Manifest
index a4a534925998..5bae6b9bc737 100644
--- a/dev-python/textX/Manifest
+++ b/dev-python/textX/Manifest
@@ -1 +1,2 @@
 DIST textX-3.1.0.gh.tar.gz 1822985 BLAKE2B 
4418cc98bfe68dcfe1e312a64810819335a1ac55f97661c4c2d9729a988bf70ed34ad710f7c51b1ab7f48f7092460ae79f3756f0566f19dfabac6c2875f2f690
 SHA512 
a300178990d30b7b0c1a77f48a7d51e9582d51dabc9dfa50dc5195afc1e3b2ce4b0cf6475de815078b460cb564bfb03054154741a50a8d213a0c0eb4cdb5b2ef
+DIST textX-3.1.1.gh.tar.gz 1824060 BLAKE2B 
48c2faeaff52b9f4a3acd1cf36dabc5edc38bb264bd3efbddd2aacaf0aca80a50445a7b30716bd5acdae0219cc2c63fbe2b26c90923758a4fa2a0b9cffb71e65
 SHA512 
33fa803a5bc2b4cd3782790625304e952e52b64f8791ddbe0fef100b521b36aa8be5291a3cd467771bd9a2d32fac41209e7895a18cc7c4c0f9a672f0ec4211f4

diff --git a/dev-python/textX/textX-3.1.1.ebuild 
b/dev-python/textX/textX-3.1.1.ebuild
new file mode 100644
index 000000000000..2ef355c35dfd
--- /dev/null
+++ b/dev-python/textX/textX-3.1.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meta-language for DSL implementation inspired by Xtext"
+HOMEPAGE="
+       https://pypi.org/project/textX/
+       https://github.com/textX/textX/
+"
+SRC_URI="
+       https://github.com/textX/textX/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/Arpeggio-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/click[${PYTHON_USEDEP}]
+               dev-python/html5lib[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       cp -a "${BUILD_DIR}"/{install,test} || die
+       local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+       # Update the shebang
+       sed -e "s:install/usr/bin/${EPYTHON}:test/usr/bin/${EPYTHON}:" \
+               -i "${BUILD_DIR}"/test/usr/bin/textx || die
+
+       # Install necessary plugins
+       local plugins=(
+               tests/functional/subcommands/example_project
+               tests/functional/registration/projects/*
+       )
+       local p
+       for p in "${plugins[@]}"; do
+               pushd "${p}" >/dev/null || die
+               distutils_pep517_install "${BUILD_DIR}"/test
+               popd >/dev/null || die
+       done
+
+       epytest tests/functional
+}

Reply via email to